> ## Documentation Index
> Fetch the complete documentation index at: https://docs.geminix.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取视频任务状态 

> OpenAI 兼容的视频任务状态查询接口。

返回视频任务的详细状态信息。




## OpenAPI

````yaml /openapi/relay.json get /v1/videos/{task_id}
openapi: 3.0.1
info:
  title: OmniMux Gateway API
  description: >-
    OpenAI-compatible relay API for OmniMux (geminix.cc). Use Authorization:
    Bearer sk-... and base URL https://api.geminix.cc/v1 for SDKs.
  version: 1.0.0
servers:
  - url: https://api.geminix.cc
    description: OmniMux production API
security:
  - BearerAuth: []
tags:
  - name: 获取模型列表
  - name: OpenAI格式(Chat)
  - name: OpenAI格式(Responses)
  - name: 图片生成
  - name: 图片生成/OpenAI兼容格式
  - name: 图片生成/Qwen千问
  - name: 视频生成
  - name: 视频生成/Sora兼容格式
  - name: 视频生成/Kling格式
  - name: 视频生成/即梦格式
  - name: Claude格式(Messages)
  - name: Gemini格式
  - name: OpenAI格式(Embeddings)
  - name: 文本补全(Completions)
  - name: OpenAI音频(Audio)
  - name: 重排序(Rerank)
  - name: Moderations
  - name: Realtime
  - name: 未实现
  - name: 未实现/Fine-tunes
  - name: 未实现/Files
paths:
  /v1/videos/{task_id}:
    get:
      tags:
        - Video (Sora)
      summary: '获取视频任务状态 '
      description: |
        OpenAI 兼容的视频任务状态查询接口。

        返回视频任务的详细状态信息。
      operationId: getVideo
      parameters:
        - name: task_id
          in: path
          description: 视频任务 ID
          required: true
          example: sora-2-123456
          schema:
            type: string
      responses:
        '200':
          description: 成功获取视频任务状态
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  object:
                    type: string
                  model:
                    type: string
                  status:
                    type: string
                  progress:
                    type: integer
                  created_at:
                    type: integer
                  seconds:
                    type: string
                required:
                  - id
                  - object
                  - model
                  - status
                  - progress
                  - created_at
                  - seconds
              example:
                id: sora-2-123456
                object: video
                model: sora-2
                status: queued
                progress: 0
                created_at: 1764347090922
                seconds: '8'
          headers: {}
        '404':
          description: 任务不存在
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              description: 错误信息
            type:
              type: string
              description: 错误类型
            param:
              type: string
              description: 相关参数
              nullable: true
            code:
              type: string
              description: 错误代码
              nullable: true
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |
        使用 Bearer Token 认证。
        格式: `Authorization: Bearer sk-xxxxxx`

````